# Generated by Django 5.0.6 on 2024-06-07 12:46

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("participation", "0013_alter_pool_options_pool_room"),
    ]

    operations = [
        migrations.AlterField(
            model_name="team",
            name="trigram",
            field=models.CharField(
                help_text="The code must be composed of 3 uppercase letters.",
                max_length=3,
                unique=True,
                validators=[
                    django.core.validators.RegexValidator("^[A-Z]{3}$"),
                    django.core.validators.RegexValidator(
                        "^(?!BIT$|CNO$|CRO$|CUL$|FTG$|FCK$|FUC$|FUK$|FYS$|HIV$|IST$|MST$|KKK$|KYS$|SEX$)",
                        message="This team code is forbidden.",
                    ),
                ],
                verbose_name="code",
            ),
        ),
    ]
